org.eclipse.actf.mediator

## Class MediatorEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.actf.mediator.MediatorEvent

All Implemented Interfaces:
  Serializable

    public class MediatorEvent
    extends EventObject

A `MediatorEvent` is sent by a `Mediator` to `IMediatorEventListener`s when the `Mediator` detects a status change in ACTF components. This notification typically occurs when the user activates an ACTF Model Service (usually Editor that implements `IModelService`) or an ACTF Reporter Views (implements `IACTFReporterView` that generates an ACTF Report). This event is also notified when the report (implements `IACTFReport`) was changed.

See Also:
  Serialized Form

### Method Summary

Methods
`IModelServiceHolder` `getModelServiceHolder()` Returns the ModelServiceHolder that is related to this event.
`IACTFReport` `getReport()` Returns the ACTFReport that is related to this event.
`IACTFReportGenerator` `getView()` Returns the ACTFReportGenerator that is related to this event.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getModelServiceHolder

    public IModelServiceHolder getModelServiceHolder()

Returns the ModelServiceHolder that is related to this event.

Returns:
  the `IModelServiceHolder` related to this event

#### getView

    public IACTFReportGenerator getView()

Returns the ACTFReportGenerator that is related to this event.

Returns:
  the `IACTFReportGenerator` related to this event

#### getReport

    public IACTFReport getReport()

Returns the ACTFReport that is related to this event.

Returns:
  the `IACTFReport` related to this event